Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.2.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.core.impl.phase.event
Class PhaseLifecycleSupport

    java.lang.Object
      org.drools.core.event.AbstractEventSupport<PhaseLifecycleListener>
          org.optaplanner.core.impl.phase.event.PhaseLifecycleSupport

All Implemented Interfaces:
  Externalizable, Serializable

    public class PhaseLifecycleSupport

extends org.drools.core.event.AbstractEventSupport<PhaseLifecycleListener>

Internal API.

See Also:
  Serialized Form

Constructor Summary
`PhaseLifecycleSupport()`

Method Summary
`void` | `firePhaseEnded(AbstractPhaseScope phaseScope)`
`void` | `firePhaseStarted(AbstractPhaseScope phaseScope)`
`void` | `fireSolvingEnded(DefaultSolverScope solverScope)`
`void` | `fireSolvingStarted(DefaultSolverScope solverScope)`
`void` | `fireStepEnded(AbstractStepScope stepScope)`
`void` | `fireStepStarted(AbstractStepScope stepScope)`

Methods inherited from class org.drools.core.event.AbstractEventSupport
`addEventListener, clear, getEventListeners, getEventListenersIterator, isEmpty, readExternal, removeEventListener, removeEventListener, size, writeExternal`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PhaseLifecycleSupport

    public PhaseLifecycleSupport()

Method Detail

### fireSolvingStarted

    public void fireSolvingStarted(DefaultSolverScope solverScope)

### firePhaseStarted

    public void firePhaseStarted(AbstractPhaseScope phaseScope)

### fireStepStarted

    public void fireStepStarted(AbstractStepScope stepScope)

### fireStepEnded

    public void fireStepEnded(AbstractStepScope stepScope)

### firePhaseEnded

    public void firePhaseEnded(AbstractPhaseScope phaseScope)

### fireSolvingEnded

    public void fireSolvingEnded(DefaultSolverScope solverScope)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.2.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2014 JBoss by Red Hat. All Rights Reserved.